Collection of tools to support digital teaching with a focus on privacy.
You can not select more than 25 topics Topics must start with a letter or number, can include dashes ('-') and can be up to 35 characters long.
 
 
 
 
 

80 lines
2.6 KiB

{
"name": "lerntools",
"version": "0.8.0",
"engines": {
"node": ">=12",
"npm": ">=7"
},
"private": true,
"scripts": {
"client-dev": "webpack --config ./webpack.dev.js",
"server-dev": "./bin/serverDev.sh",
"dev": "npm run server-dev & npm run client-dev",
"start": "node ./server.js",
"build-app": "webpack --config ./webpack.prod.js",
"build-locales": "node ./bin/buildLocales.js",
"build": "npm run build-app && npm run build-locales"
},
"dependencies": {
"axios": "^0.21.1",
"bcryptjs": "^2.4.3",
"body-parser": "^1.19.0",
"bootstrap-css-only": "^4.4.1",
"browser-image-compression": "^1.0.14",
"cors": "^2.8.5",
"debug": "^3.2.7",
"express": "^4.17.1",
"express-validator": "^5.3.1",
"express-ws": "^4.0.0",
"gulp": "^4.0.2",
"helmet": "^3.23.3",
"http-errors": "^1.8.0",
"jsonwebtoken": "^8.5.1",
"jsqr": "^1.3.1",
"katex": "^0.10.2",
"markdown-it": "^11.0.1",
"markdown-it-attrs": "^3.0.3",
"markdown-it-texmath": "^0.6.9",
"md5": "^2.3.0",
"mime": "^2.4.7",
"mongoose": "^5.11.11",
"morgan": "^1.10.0",
"node-cron": "^2.0.3",
"nodemailer": "^6.6.1",
"postcss": "^8.2.15",
"qrcode": "^1.4.4",
"request-ip": "^2.1.3",
"saslprep": "^1.0.3",
"svg-captcha": "^1.4.0",
"tslib": "^2.2.0",
"vue": "^2.6.12",
"vue-i18n": "^8.22.3",
"vue-qrcode": "^0.3.5",
"vue-router": "^3.4.9"
},
"devDependencies": {
"@intlify/vue-i18n-loader": "^0.6.1",
"@vue/cli-plugin-eslint": "^4.5.8",
"@vue/eslint-config-standard": "^5.1.2",
"clean-webpack-plugin": "^3.0.0",
"copy-webpack-plugin": "^5.1.2",
"css-loader": "^3.6.0",
"eslint": "^6.8.0",
"eslint-plugin-import": "^2.26.0",
"eslint-plugin-node": "^11.1.0",
"eslint-plugin-promise": "^4.3.1",
"eslint-plugin-standard": "^4.0.0",
"eslint-plugin-vue": "^6.1.2",
"file-loader": "^5.1.0",
"image-webpack-loader": "^5.1.0",
"mini-css-extract-plugin": "^0.12.0",
"nodemon": "^2.0.7",
"optimize-css-assets-webpack-plugin": "^6.0.1",
"stylelint-config-standard": "^25.0.0",
"vue-loader": "^15.9.6",
"vue-template-compiler": "^2.6.12",
"webpack": "^4.46.0",
"webpack-cli": "^3.3.12",
"webpack-merge": "^4.2.2"
}
}